Skip to content

Gets a list of geofences​

GET
/users/{userid}/geofences

Authorizations​

ApiKeyAuth

API Key for authentication. Retrieval from either API version login routes, or other authentication token type. See Authentication for more details.

TypeAPI Key (header: Authorization)
Example"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."

Parameters​

Path Parameters

userid*

User ID

Typeinteger
Required

Query Parameters

_limit

Limit for pagination, default 10, max 10000

Typeinteger
_page

Page for pagination

Typeinteger
_sort

Sort by this field

Typestring
_direction

Sort in this direction (asc, desc)

Typestring
_include

Include related models

Typestring
Valid values
"list"

Responses​

OK

application/json
JSON
{
"data": [
{
"center": {
"lat": 0,
"lng": 0
},
"deviceId": 0,
"foreignId": "string",
"id": 0,
"list": {
"color": "string",
"id": 0,
"name": "string",
"ownerId": 0
},
"listId": 0,
"meta": {
"additionalProperties": "string"
},
"modified": true,
"name": "string",
"outline": [
{
"lat": 0,
"lng": 0
}
],
"ownerId": 0,
"radius": 0,
"type": "string"
}
],
"limit": 0,
"page": 0,
"totalElements": 0,
"totalPages": 0
}

Playground​

Authorization
Variables
Key
Value

Samples​

cURL
JavaScript
PHP
Python